org.apache.ignite.internal.sql.optimizer.affinity

## Class PartitionCompositeNode

- java.lang.Object
- - org.apache.ignite.internal.sql.optimizer.affinity.PartitionCompositeNode

All Implemented Interfaces:
  PartitionNode

    public class PartitionCompositeNode
    extends Object
    implements PartitionNode

Composite node which consists of two child nodes and a relation between them.

### Constructor Summary

Constructors
Constructor and Description
`PartitionCompositeNode(PartitionNode left, PartitionNode right, PartitionCompositeNodeOperator op)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<Integer>` `apply(PartitionClientContext cliCtx, Object... args)` Get partitions.
`String` `cacheName()`
`int` `joinGroup()`
`PartitionNode` `left()`
`PartitionCompositeNodeOperator` `operator()`
`PartitionNode` `optimize()` Try optimizing partition nodes into a simpler form.
`PartitionNode` `right()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionCompositeNode

    public PartitionCompositeNode(PartitionNode left,
                                  PartitionNode right,
                                  PartitionCompositeNodeOperator op)

Constructor.

Parameters:
  `left` - Left node.
  `right` - Right node.
  `op` - Operator.

### Method Detail

#### apply

    public Collection<Integer> apply(PartitionClientContext cliCtx,
                                     Object... args)
                              throws IgniteCheckedException

Get partitions.

Specified by:
  `apply` in interface `PartitionNode`
Parameters:
  `cliCtx` - Thin client context (optional).
  `args` - Query arguments.
Returns:
  Partitions.
Throws:
  `IgniteCheckedException` - If failed.

#### joinGroup

    public int joinGroup()

Specified by:
  `joinGroup` in interface `PartitionNode`
Returns:
  Join group for the given node.

#### optimize

    public PartitionNode optimize()

Try optimizing partition nodes into a simpler form.

Specified by:
  `optimize` in interface `PartitionNode`
Returns:
  Optimized node or `this` if optimization failed.

#### left

    public PartitionNode left()

Returns:
  Left node.

#### right

    public PartitionNode right()

Returns:
  Right node.

#### operator

    public PartitionCompositeNodeOperator operator()

Returns:
  Operator.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### cacheName

    public String cacheName()

Specified by:
  `cacheName` in interface `PartitionNode`
Returns:
  First met cache name of an any `PartitionSingleNode` during `PartitionNode` tree traversal. This method is intended to be used within the Jdbc thin client.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022